{ pkgs, ... }:
{
  imports = [
    ./neovim.nix
    ./zsh.nix
  ];

  home = {
    packages = with pkgs; [
      bottom
      unstable.ncdu
      neofetch
    ];

    sessionVariables = {
      EDITOR = "nvim";
      VISUAL = "nvim";
    };
  };

  programs.nix-index = {
    enable = true;
    enableZshIntegration = true;
  };

  programs.git = {
    enable = true;

    extraConfig = {
      pull.rebase = true;
      push.autoSetupRemote = true;
      color.ui = "auto";
      init.defaultBranch = "main";
      lfs.enable = true;

      user = {
        name = "Felix Albrigtsen";
        email = "felix@albrigtsen.it";
      };
    };
    ignores = [
      "*~"
      "*.swp"
      ".DS_Store"
      ".vscode"
    ];
  };

}
